Bug 600455 (CVE-2010-4664) - CVE-2010-4664 ConsoleKit: Policy restrictions break-out via remote Virtual Network Computing (VNC) session
Summary: CVE-2010-4664 ConsoleKit: Policy restrictions break-out via remote Virtual Ne...
Status: NEW
Alias: CVE-2010-4664
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,source=researcher,rep...
Keywords: Security
Depends On: 585952
Blocks: 712420
TreeView+ depends on / blocked
 
Reported: 2010-06-04 18:20 UTC by Jan Lieskovsky
Modified: 2018-01-30 01:00 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jan Lieskovsky 2010-06-04 18:20:59 UTC
An intended security policy restriction bypass was found in the way ConsoleKit 
identified VNC sessions originating from remote host. A valid, authenticated
system user could use this flaw to escalate their privileges (become
member of more privileged policy group) by initiating a remote VNC session.

Upstream bug report:
  [1] https://bugs.freedesktop.org/show_bug.cgi?id=28377

Comment 1 Jan Lieskovsky 2010-06-04 18:22:48 UTC
This issue affects the versions of the ConsoleKit package, as shipped
with Fedora release of 11, 12, and 13.

This issue affects the version of the ConsoleKit package as shipped with Red Hat Enterprise Linux 6.

Comment 3 Josh Bressers 2011-04-07 17:05:00 UTC
This is public via the upstream bug. I'm opening this up.

I've assigned this bug CVE-2010-4664

Comment 5 Stefan Cornelius 2013-03-15 13:00:58 UTC
Statement:

The Red Hat Security Response Team has rated this issue as having moderate security impact. A future update may address this issue. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.


Note You need to log in before you can comment on or make changes to this bug.